<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
	<link rel='stylesheet' type='text/css' href='../resources/css/uikit-rtl.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/princessSophia.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/login.css'></link>
</h:head>
	<f:metadata>
		<f:event listener="#{AdicionarCortes.carregarId(param['id'])}" type ="preRenderView"> </f:event>
	</f:metadata>
	<div id="nha2" class="uk-position-cover uk-overlay-primary"></div>
		<div class="uk-flex uk-flex-center uk-flex-middle uk-height-viewport uk-light uk-position-relative uk-position-z-index" id="a">
			<div class="uk-position-bottom-center uk-position-small uk-visible@m">
			</div>
			<div class="uk-width-medium uk-padding-small" uk-scrollspy="cls: uk-animation-fade">				
			<h1>Editar Cortes</h1>
				<h:form id="editarc" enctype="multipart/form-data">
						<h:inputHidden id="id" value="#{AdicionarCortes.id}" />
						<fieldset class="uk-fieldset">
						<div class="uk-margin">
							<div class="uk-inline uk-width-1-1">
								<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: mail"></span>
								<h1>nome:</h1><h:inputText class="uk-input uk-border-pill" value="#{AdicionarCortes.nome}" name="nome"/>
							</div>
							<div class="uk-inline uk-width-1-1">
								<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: mail"></span>
							<h1>descrição:</h1> <h:inputText class="uk-input uk-border-pill" value="#{AdicionarCortes.descricao}" name="descricao"/>
							</div>
							<div class="uk-inline uk-width-1-1">
								<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: mail"></span>
						<h1>preço:</h1> <h:inputText class="uk-input uk-border-pill" value="#{AdicionarCortes.preco}" name="preco" id="senha"/>
							</div>
							<div class="uk-inline uk-width-1-1">
								<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: mail"></span>
								<h1>Imagem:</h1><img id='imagem' src='..#{AdicionarCortes.diretorio}' style="max-height:150px;margin-bottom:20px;"></img>
								<h:inputFile  type='file' id='file' onchange='readUrl(this);' value='#{AdicionarCortes.imagem}' accept='image/*'/>
							</div>
						</div><br></br>
						<div class="uk-margin">
						<h:commandButton type="submit" class="uk-button uk-button-primary uk-border-pill uk-width-1-1" action="#{AdicionarCortes.editar}" value="Editar">
								<f:ajax execute="@this editarc" render="editarno"></f:ajax>
							</h:commandButton>
						</div>
					</fieldset>
				</h:form>
				<center><a href="home.xhtml">Voltar para a Administração</a></center>	
			</div>
		</div>
<script src='../resources/js/jquery.js'></script>
<script src='../resources/js/uikit.js'></script>
<script>
//<![CDATA[
		function readUrl(input){
			if(input.files && input.files[0]){
				var reader= new FileReader();
				reader.onload=function(e){
					$('#imagem')
					.attr('src', e.target.result)
					.width(250)
					.heigth(200);
				};
				reader.readAsDataURL(input.files[0]);
			}
		}

	//]]>
	</script>
</html>
	
